# (tv) gnome-shell-41 requires both 'typelib(Soup) = 2.4' & 'typelib(Soup) = 3.0'
# exclude the extra requires as we want to use libsoup3
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\\(Soup\\\) = 2.4
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(Meta|MetaTest|St|TelepathyGlib\\)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

#define mutter_ver	%%(echo %%{version}|cut -d. -f1,2,3)
%define mutter_ver	48.0
%define mutter_major    16

# To make GNOME Shell extensions load, we need to get rid of DT_RUNPATH on /usr/bin/gnome-shell
# (see glibc bug #13945, GNOME bug #670477, Mageia bug #4523)
%define _disable_ld_enable_new_dtags 1

%global systemd_units gnome-shell.service

Summary:	Core user interface for the GNOME 3 desktop
Name:		gnome-shell
Version:	48.1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/GnomeShell
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# Backported from upstream

%define pipewire_version 0.3.0

BuildRequires:	meson
BuildRequires:	asciidoc
BuildRequires:	appstream
BuildRequires:	appstream-util
BuildRequires:	sassc
BuildRequires:	python3-docutils
BuildRequires:	libegl-devel
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-glx-1.0) >= 1.7.5
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.7.5
BuildRequires:	pkgconfig(folks) >= 0.5.2
BuildRequires:	pkgconfig(gcr-4) >= 3.8.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.6
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(gnome-bluetooth-3.0) >= 3.9.0
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnome-keybindings)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.45.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 41.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(libecal-2.0) >= 2.32.0
BuildRequires:	pkgconfig(libedataserver-1.2) >= 1.2.0
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libmutter-%{mutter_major}) >= %{mutter_ver}
BuildRequires:	pkgconfig(mutter-clutter-%{mutter_major})
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.11
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(polkit-agent-1) >= 0.100
BuildRequires:	pkgconfig(libpipewire-0.3) >= %{pipewire_version}
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.17.5
BuildRequires:	pkgconfig(telepathy-logger-0.2) >= 0.2.4
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(caribou-1.0)
BuildRequires:	pkgconfig(gjs-1.0) >= 1.69.2
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)

# gnome-shell handles notifications natively, no notification-daemon needed
Provides:	virtual-notification-daemon
# and ditto for polkit authorisation dialogs
Provides:	polkit-agent
# bundles its own copy of libcroco
# https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/861
Provides:	bundled(libcroco)

Obsoletes:	gnome-applet-netspeed < 3.0.2

# Obsolete and archived by upstream
Obsoletes:	gnome-screensaver < 3.6.1-20

Requires:	mutter >= %{mutter_ver}
Requires:	gjs
Requires:	glxinfo
Requires:	gnome-session
Requires:	adwaita-icon-theme
# For a GSettings schema
Requires:	gnome-settings-daemon
Requires:	gsettings-desktop-schemas >= 3.9.2
Requires:	packagekit-gtk3-module
Requires:	telepathy-mission-control
Requires:	gnome-control-center
Requires:	xdg-desktop-portal-gtk
# work around delay in  startup on multi-de installs
Recommends:	xdg-desktop-portal-gnome
# mga#11640 when there are multiple keyboard layouts, "Show Keyboard Layouts" option
# also needed in 3.17+
Requires:       tecla
# Ensures extensions.gnome.org works for Firefox 52+, Chrome, Chromiun
Requires:	gnome-browser-connector

# --- gir/typelibs not automatically required ---
# mga#14269  I don't think this is needed, but Mageia 5 should get out
Requires:	typelib(GcrUi)

# (cg) gnome-shell needs schemas defined/shipped with gdm and needs gdm for
# screen locking. Technically, this could be relaxed upstream and the schema
# moved to gsettings-desktop-schemas, so if that happens, the dep can be relaxed
# https://bugs.mageia.org/show_bug.cgi?id=14430
Requires:	gdm

# (ovitters) extensions depend on 'unzip' being available; mga#16005
Requires:	unzip

# (daviddavid) needed for thunderbolt support (mga#23917)
Recommends:	bolt

# (ovitters)  for automatic rotation support. Daemon only loads if hardware is
#             available (mga#24877)
Recommends:	iio-sensor-proxy

Recommends:	gnome-remote-desktop

%description
GNOME Shell provides core user interface functions for the GNOME 3
desktop, like switching to windows and launching applications. GNOME
Shell takes advantage of the capabilities of modern graphics hardware
and introduces innovative user interface concepts to provide a
visually attractive and easy to use experience.

%package api_doc
Summary:	API documentation for %{name}
Group:		Documentation

%description api_doc
API documentation for %{name}.

%prep
%autosetup -p1

%build
%meson \
  -Dgtk_doc=false
%meson_build

%install
%meson_install

%find_lang %name

%post
%systemd_user_post %{systemd_units}

%files -f %name.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/gnome-shell
%{_bindir}/gnome-shell-*
%{_bindir}/gnome-extensions
%{_bindir}/gnome-extensions-app
%{_libdir}/%{name}/
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-portal-helper
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Extensions.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Extensions.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Notifications.service
%{_datadir}/dbus-1/services/org.gnome.Shell.PortalHelper.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Screencast.service
%{_datadir}/dbus-1/services/org.gnome.ScreenSaver.service
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Extensions.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Introspect.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.PadOsd.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screencast.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screenshot.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.ScreenTime.xml
%{_datadir}/desktop-directories/X-GNOME-Shell-System.directory
%{_datadir}/desktop-directories/X-GNOME-Shell-Utilities.directory
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider2.xml
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/glib-2.0/schemas/00_org.gnome.shell.gschema.override
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Extensions*.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Shell.CaptivePortal.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Shell.Extensions*.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Extensions-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Shell.Extensions*.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Shell.CaptivePortal-symbolic.svg
%{_datadir}/applications/org.gnome.Shell.desktop
%{_datadir}/applications/org.gnome.Extensions.desktop
%{_datadir}/applications/org.gnome.Shell.Extensions.desktop
%{_datadir}/applications/org.gnome.Shell.PortalHelper.desktop
%{_datadir}/gnome-control-center/keybindings/*%{name}*.xml
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.Extensions.gschema.xml
%{_datadir}/bash-completion/completions/gnome-extensions
%{_userunitdir}/org.gnome.Shell-disable-extensions.service
%{_userunitdir}/org.gnome.Shell.target
%{_userunitdir}/org.gnome.Shell@wayland.service
%{_userunitdir}/org.gnome.Shell@x11.service
%{_metainfodir}/org.gnome.Extensions.metainfo.xml
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/gnome-extensions.1*

%files api_doc
#{_datadir}/gtk-doc/html/shell
#{_datadir}/gtk-doc/html/st


%changelog
* Mon Apr 21 2025 daviddavid <daviddavid> 48.1-1.mga10
+ Revision: 2177408
- new version 48.1

* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2166922
- new version 48.0

* Sun Dec 01 2024 daviddavid <daviddavid> 47.2-1.mga10
+ Revision: 2120208
- new version 47.2

* Fri Nov 01 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2111931
- new version 47.1

* Thu Sep 19 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2098939
- new version 47.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.2-1.mga10
+ Revision: 2069196
- new version 46.2

* Thu Mar 28 2024 daviddavid <daviddavid> 46.0-2.mga10
+ Revision: 2052851
- rebuild for new evolution-data-server 3.52.0

* Tue Mar 19 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050746
- new version 46.0

* Sat Dec 09 2023 daviddavid <daviddavid> 45.2-3.mga10
+ Revision: 2016178
- filter out bogus typelib() requires

* Fri Dec 08 2023 daviddavid <daviddavid> 45.2-2.mga10
+ Revision: 2015581
- rebuild with fixed rpm-mageia-setup-2.73-6.mga10 to generate
  properly typelib()-style Provides/Requires

* Thu Dec 07 2023 daviddavid <daviddavid> 45.2-1.mga10
+ Revision: 2014228
- new version 45.2

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992396
- Backport MR #2548 to fix keyboard shortcut inhibiting

* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960815
- new version 44.2

* Wed May 03 2023 tmb <tmb> 44.1-2.mga9
+ Revision: 1955687
- only recommend xdg-desktop-portal-gnome to work around issues on  multi-DE setups

* Thu Apr 27 2023 neoclust <neoclust> 44.1-1.mga9
+ Revision: 1955079
- Ne version 44.1

* Sun Apr 23 2023 daviddavid <daviddavid> 44.0-2.mga9
+ Revision: 1954521
- rebuild for new gcr 4.1.0
- require xdg-desktop-portal-gnome and xdg-desktop-portal-gtk

* Sun Apr 23 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1954369
- update to 44.0
- update to 44.0

* Tue Nov 22 2022 tv <tv> 43.1-3.mga9
+ Revision: 1910309
- Backport MR #2548 to fix keyboard shortcut inhibiting

* Mon Nov 21 2022 tv <tv> 43.1-2.mga9
+ Revision: 1909689
- Backport MR #2534 to fix layout switching in password entries
- Backport missing screencast if gstreamer1.0-vaapi s installed

* Wed Nov 16 2022 ghibo <ghibo> 43.1-1.mga9
+ Revision: 1908002
- Update to release 43.1
- Remove Patches merged upstream.

* Sun Nov 06 2022 martinw <martinw> 43.0-4.mga9
+ Revision: 1904067
- Backport MR2519 to fix GDM hang when gstreamer1.0-vaapi is installed

* Tue Sep 27 2022 wally <wally> 43.0-3.mga9
+ Revision: 1892829
- force libsoup3 usage and reqs

* Thu Sep 22 2022 tv <tv> 43.0-2.mga9
+ Revision: 1891655
- Backport MR2487 and MR2495 to fix input sources sorting (rhbz#2121110)

* Mon Sep 19 2022 tv <tv> 43.0-1.mga9
+ Revision: 1890360
- Update to 43.0

* Sat Sep 17 2022 ovitters <ovitters> 42.5-1.mga9
+ Revision: 1889605
- new version 42.5

* Fri Sep 16 2022 wally <wally> 42.4-3.mga9
+ Revision: 1889131
- obsolete archived gnome-screensaver

* Thu Aug 25 2022 wally <wally> 42.4-2.mga9
+ Revision: 1880164
- replace chrome-gnome-shell requires with gnome-browser-connector

* Thu Aug 11 2022 ovitters <ovitters> 42.4-1.mga9
+ Revision: 1877062
- new version 42.4

* Mon Jul 04 2022 ovitters <ovitters> 42.3.1-1.mga9
+ Revision: 1867681
- new version 42.3.1

* Mon Jul 04 2022 ovitters <ovitters> 42.3-1.mga9
+ Revision: 1867679
- new version 42.3

* Sun May 29 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1860677
- new version 42.2

* Thu May 12 2022 tv <tv> 42.1-1.mga9
+ Revision: 1857762
- Update to 42.1

* Sat Apr 30 2022 tv <tv> 42.0-4.mga9
+ Revision: 1855225
- Fix monitor config switches with <super>p (rhbz#2073406)
- Fix stuck cover pane after startup animation (rhbz#2063156)

* Sat Mar 19 2022 tv <tv> 42.0-3.mga9
+ Revision: 1800441
- Backport MR #2242 to fix new user default folder creation (rhbz#2064473)

* Wed Mar 16 2022 tv <tv> 42.0-2.mga9
+ Revision: 1794735
- BR pipewire

* Wed Mar 16 2022 tv <tv> 42.0-1.mga9
+ Revision: 1794545
- Update to 42

* Mon Jan 10 2022 tv <tv> 41.0-2.mga9
+ Revision: 1767843
- Exclude the requires on "typelib(Soup) = 3.0"

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767664
- Update to 41.0
- Backport MR rhbz#2011 to further fix unexpected scrolling (#2017192)
- Use correct patch for fixing unlock screen confusion
- Work around crashy tear down
- Fix unlock screen confusion when hitting escape too much
- Fix StPasswordEntry crash (rhbz#2009637)
- Backport MR rhbz#1983 to fix wrong OSD icons (#2011872)
- Backport upstream patch to fix scrolling to incorrect positions

* Wed Dec 29 2021 neoclust <neoclust> 40.7-2.mga9
+ Revision: 1765160
- Drop extra capabilities from gnome-shell. They're optional and they break shutdown from the login screen with new glibs.
  Fixes CVE-2021-3982 (mga#29825)

* Sun Dec 12 2021 ovitters <ovitters> 40.7-1.mga9
+ Revision: 1761720
- new version 40.7
- new version 40.6
- new version 40.5

* Wed Aug 18 2021 ovitters <ovitters> 40.4-1.mga9
+ Revision: 1741821
- new version 40.4

* Mon Jul 12 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1735823
- new version 40.3

* Thu Jun 10 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1730285
- new version 40.2

* Fri May 14 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1722894
- new version 40.1

* Sat Mar 27 2021 ovitters <ovitters> 40.0-2.mga9
+ Revision: 1711100
- rebuild for move to main

* Fri Mar 26 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710755
- put API documentation in api_doc subpackage
- bump mutter major
- new version 40.0
- new version 3.38.4

* Sat Jan 23 2021 tmb <tmb> 3.38.3-2.mga8
+ Revision: 1673101
- rebuild for new libical

* Thu Jan 14 2021 ovitters <ovitters> 3.38.3-1.mga8
+ Revision: 1671830
- new version 3.38.3

* Thu Dec 03 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1651979
- new version 3.38.2

* Wed Oct 14 2020 wally <wally> 3.38.1-3.mga8
+ Revision: 1635812
- add bundled(libcroco) provides

* Tue Oct 13 2020 wally <wally> 3.38.1-2.mga8
+ Revision: 1635500
- drop unused libcroco BR
+ guillomovitch <guillomovitch>
- fix mutter issue #1431

* Mon Oct 05 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632280
- new version 3.38.1

* Tue Sep 15 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626629
- new version 3.38.0

* Sun Sep 06 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622826
- new version 3.37.92

* Mon Aug 24 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1618599
- new version 3.37.91

* Thu Aug 13 2020 ovitters <ovitters> 3.37.90-3.mga8
+ Revision: 1613761
- rebuild for evolution-data-server
- rebuild for evolution-data-server

* Tue Aug 11 2020 tv <tv> 3.37.90-1.mga8
+ Revision: 1613405
- fix file list
- BR libegl-devel
+ ovitters <ovitters>
- new version 3.37.90

* Wed Jul 08 2020 tv <tv> 3.37.3-1.mga8
+ Revision: 1602957
- needs mutter 3.37.3
+ ovitters <ovitters>
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591933
- bump mutter_major
- new version 3.37.2
- new version 3.36.3

* Thu Apr 30 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1573436
- new version 3.36.2

* Mon Apr 13 2020 ovitters <ovitters> 3.36.1-3.mga8
+ Revision: 1567144
- recommend gnome-remote-desktop

* Sun Apr 12 2020 ovitters <ovitters> 3.36.1-2.mga8
+ Revision: 1566915
- recommend iio-sensor-proxy for rotation support (mga#24877)

* Tue Mar 31 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562508
- new version 3.36.1
- dropped merged patch 0001-ibusManager_fix-ibus-launch-error-because-of-wrong-method.patch
- dropped merged patch 0002-St_Ensure-to-update-entry-hint-visibility-with-IM-preedit.patch

* Thu Mar 12 2020 daviddavid <daviddavid> 3.36.0-2.mga8
+ Revision: 1555842
- backport upstream fix for ibus failing to start automatically (MR #1080)
- backport upstream fix for input method preedit issue (MR #1084)

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554741
- new version 3.36.0

* Sun Mar 01 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1552515
- new version 3.35.92
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Feb 19 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1542529
- 3.35.91

* Sun Feb 16 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1534824
- new version 3.34.4

* Sun Jan 05 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1476731
- new version 3.34.3

* Thu Dec 12 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1466084
- new version 3.34.2

* Wed Oct 09 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450677
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439049
- new version 3.34.0

* Thu Sep 05 2019 tv <tv> 3.33.92-1.mga8
+ Revision: 1437467
- BR pkgconfig(mutter-clutter-5)
+ ovitters <ovitters>
- new version 3.33.92

* Tue Aug 27 2019 tv <tv> 3.33.91-1.mga8
+ Revision: 1434575
- fix file list
- BR asciidoc for a2x
- BR pkgconfig(gnome-autoar-0)
+ ovitters <ovitters>
- new version 3.33.91

* Sat Aug 10 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428557
- fix file list
- BR libmutter-5 instead of libmutter-4
+ ovitters <ovitters>
- new version 3.33.90

* Fri Aug 09 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1428377
- new release

* Sat Aug 03 2019 wally <wally> 3.32.2-2.mga8
+ Revision: 1427089
- update BRs for networkmanager >= 1.19.90

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1417628
- new version 3.32.2
- dropped merged patch 0002-panel_Do-not-chain-up-to-parent-allocate.patch

* Mon May 06 2019 daviddavid <daviddavid> 3.32.1-2.mga7
+ Revision: 1396418
- backport upstream patch to don't chain up to parent's allocate (mga#24551)

* Wed Apr 17 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1392605
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392456
- Rebuild with meson 0.50.1

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374412
- new version 3.32.0

* Sat Mar 09 2019 tmb <tmb> 3.31.92-4.mga7
+ Revision: 1373428
- disable P1 for now, stil broken

* Sat Mar 09 2019 tmb <tmb> 3.31.92-3.mga7
+ Revision: 1373416
- rediff and re-enable custom background patch

* Sat Mar 09 2019 tmb <tmb> 3.31.92-2.mga7
+ Revision: 1373394
- rebuild for armv7hl

* Sat Mar 09 2019 tmb <tmb> 3.31.92-1.mga7
+ Revision: 1373360
- fix filelist
- fix mutter dep
- update to 3.31.92

* Tue Jan 01 2019 tmb <tmb> 3.30.2-3.mga7
+ Revision: 1347797
- rebuild for mozjs

* Thu Nov 29 2018 daviddavid <daviddavid> 3.30.2-2.mga7
+ Revision: 1336752
- recommends bolt for the thunderbolt support (mga#23917)

* Wed Nov 14 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1329883
- new version 3.30.2

* Tue Oct 09 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1318893
- new version 3.30.1

* Tue Sep 04 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256914
- new version 3.30.0
- new version 3.29.92

* Mon Aug 20 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1253120
- new version 3.29.91
- dropped merged patch 0100-data-Fix-comment-in-schema.patch
- dropped merged patch 0101-tools-fix-XDG-desktop-syntax-in-gnome-shell-override.patch

* Wed Aug 15 2018 blino <blino> 3.29.90-2.mga7
+ Revision: 1251653
- drop obsolete gnome-shell-session script and xdg-override desktop file, this was for the very early GNOME 3 Preview (Mandriva r524312)

* Fri Aug 03 2018 blino <blino> 3.29.90-1.mga7
+ Revision: 1246975
- add upstream patch to fix comment in schema
- package new overrides-migration files
- fix XDG desktop syntax in gnome-shell-overrides-migration (reported upstream as merge request 186)
+ ovitters <ovitters>
- new version 3.29.90
- dropped merged patch 157.diff

* Thu Jul 19 2018 ovitters <ovitters> 3.29.4-3.mga7
+ Revision: 1244258
- add patch to fix systemd user unitdir
- bump rel because BS
- new version 3.29.4

* Wed Jul 11 2018 wally <wally> 3.29.3-2.mga7
+ Revision: 1243044
- drop requires excludes

* Wed Jul 11 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1243030
- new version 3.29.3

* Tue May 08 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227806
- new version 3.28.2

* Wed Apr 25 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1222440
- new version 3.28.1

* Sat Apr 07 2018 kekepower <kekepower> 3.28.0-3.mga7
+ Revision: 1215948
- Rebuild for new libical

* Tue Mar 20 2018 ovitters <ovitters> 3.28.0-2.mga7
+ Revision: 1210787
- align mutter require and BR

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208728
- new version 3.28.0

* Thu Mar 08 2018 tmb <tmb> 3.27.92-1.mga7
+ Revision: 1207431
- fix mutter-clutter requires
+ ovitters <ovitters>
- new version 3.27.92

* Thu Feb 22 2018 guillomovitch <guillomovitch> 3.27.91-1.mga7
+ Revision: 1204271
- new version 3.27.91
- rediff patch 0

* Thu Feb 22 2018 guillomovitch <guillomovitch> 3.27.1-2.mga7
+ Revision: 1204226
- rebuild against latest mutter

* Wed Feb 21 2018 guillomovitch <guillomovitch> 3.27.1-1.mga7
+ Revision: 1204002
- new version 3.27.1
+ ovitters <ovitters>
- rebuild for new libedataserver

* Thu Nov 02 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175593
- new version 3.26.2
- dropped merged patch 0001-layout-Unset-primary-and-bottom-monitor-when-headles.patch
+ tv <tv>
- Add upstream patch to avoid a crash

* Wed Oct 04 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1168772
- new version 3.26.1

* Fri Sep 15 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1153957
- build using meson
- bump mutter BR
- new release

* Thu Jul 20 2017 ovitters <ovitters> 3.24.3-1.mga7
+ Revision: 1125412
- new version 3.24.3

* Fri May 12 2017 wally <wally> 3.24.2-2.mga6
+ Revision: 1100626
- rebuild for armv5tl

* Thu May 11 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100322
- new version 3.24.2
- dropped merged patch gnome-shell-3.24.1-CVE-2017-8288.patch

* Sat Apr 29 2017 luigiwalser <luigiwalser> 3.24.1-2.mga6
+ Revision: 1098068
- add upstream patch to fix CVE-2017-8288

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096364
- new version 3.24.1

* Wed Mar 29 2017 neoclust <neoclust> 3.24.0-5.mga6
+ Revision: 1095131
- Rebuild for core/release

* Tue Mar 28 2017 tmb <tmb> 3.24.0-4.mga6
+ Revision: 1095127
- re-apply P1: allow custom login/lock screen background

* Sun Mar 26 2017 ovitters <ovitters> 3.24.0-3.mga6
+ Revision: 1094871
- require chrome-gnome-shell to ensure extensions.gnome.org works with recent browsers

* Thu Mar 23 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094546
- new version 3.24.0

* Fri Feb 17 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1086605
- new version 3.22.3

* Wed Feb 15 2017 wally <wally> 3.22.2-3.mga6
+ Revision: 1086209
- drop requires for libmutter-gir3.0 as it's provided and pulled by mutter already

* Tue Feb 14 2017 wally <wally> 3.22.2-2.mga6
+ Revision: 1086147
- filter our private typelib req from mutter which is already required directly

* Thu Nov 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1066226
- new version 3.22.2
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055873
- new version 3.22.0
- dropped merged patch 2
+ tv <tv>
- bump needed mutter version

* Mon Aug 22 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1047872
- new version 3.20.4

* Thu Jun 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1038229
- new version 3.20.3
- dropped merged patch 3

* Sat Jun 11 2016 ovitters <ovitters> 3.20.2-3.mga6
+ Revision: 1021194
- add upstream patch to fix crash on nvidia hardware (mga#18465)

* Tue Jun 07 2016 tv <tv> 3.20.2-2.mga6
+ Revision: 1020643
- adjust BRs for latest systemd

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1012307
- new version 3.20.2

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001058
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994155
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992146
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 985016
- new version 3.19.91

* Fri Feb 19 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 969805
- new version 3.19.90

* Wed Feb 17 2016 colin <colin> 3.19.4-3.mga6
+ Revision: 963469
- Re-add updated background customisation patch (bgo#738260)

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927284
- rebuild for libical

* Thu Jan 21 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 926351
- new version 3.19.4

* Thu Dec 17 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911535
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-2.mga6
+ Revision: 906361
- remove old require

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906342
- new version 3.19.2

* Wed Nov 18 2015 tv <tv> 3.18.3-1.mga6
+ Revision: 904080
- fix build: there's nothing that say mutter has the same version as gnome-shell...
+ ovitters <ovitters>
- new version 3.18.3

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902830
- new version 3.18.2

* Fri Oct 16 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 891986
- new release

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882552
- new release

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879945
- new version 3.17.92

* Thu Sep 03 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872480
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866860
- new version 3.17.90

* Thu Jul 23 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856573
- new version 3.17.4

* Fri Jul 03 2015 ovitters <ovitters> 3.17.3-3.mga6
+ Revision: 849777
- better attempt to fix crash

* Fri Jul 03 2015 ovitters <ovitters> 3.17.3-2.mga6
+ Revision: 849772
- fix gnome-shell crashes by guessing the cause

* Thu Jul 02 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 849510
- new version 3.17.3
- require unzip as needed for extensions (mgda#16005)

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838392
- 3.17.2
- drop custom background for now

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836396
- new version 3.14.4
- dropped merged patch 6
- dropped merged patch 5

* Thu May 28 2015 tmb <tmb> 3.14.3-7.mga5
+ Revision: 822763
- require both lib(64)mutter-gir3.0 and lib(64)mutter-wayland-gir3.0
  so we dont crash regardless of using wayland or x11 (reported by tv)

* Tue May 26 2015 tmb <tmb> 3.14.3-6.mga5
+ Revision: 822744
- keyboard: Delay caribou daemon invocation until really needed

* Wed May 06 2015 tmb <tmb> 3.14.3-5.mga5
+ Revision: 821346
- authPrompt: Fix hang if user types password really fast

* Wed Apr 08 2015 tmb <tmb> 3.14.3-4.mga5
+ Revision: 819900
- system: Fix visibility of suspend button
- Refresh all background instances after suspend if needed

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.14.3-3.mga5
+ Revision: 815679
- rebuild for evolution-data-server

* Mon Feb 09 2015 ovitters <ovitters> 3.14.3-2.mga5
+ Revision: 814374
- cannot reproduce bug, adding requires anyway (mga#14269)

* Mon Dec 22 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 804814
- new version 3.14.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796742
- new version 3.14.2

* Mon Nov 10 2014 colin <colin> 3.14.1.5-2.mga5
+ Revision: 796171
- Require gdm (mga#14430)

* Fri Oct 31 2014 ovitters <ovitters> 3.14.1.5-1.mga5
+ Revision: 794996
- new version 3.14.1.5

* Sun Oct 26 2014 tv <tv> 3.14.1-4.mga5
+ Revision: 793497
- readd requires on "typelib(Gck)" (it's not automatically pulled)

* Sun Oct 26 2014 tv <tv> 3.14.1-3.mga5
+ Revision: 793381
- readd requires on "typelib(Gcr)" (it's not automatically pulled)

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 741032
- Second Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- new version 3.14.1

* Thu Oct 09 2014 colin <colin> 3.14.0-5.mga5
+ Revision: 737780
- Replace the password dialog entry patch with a more upstream-friendly one. mga#14131

* Sat Oct 04 2014 colin <colin> 3.14.0-4.mga5
+ Revision: 736880
- Fix per-screens backgrounds patch for 3.14 (mga#14131)

* Thu Oct 02 2014 blino <blino> 3.14.0-3.mga5
+ Revision: 735439
- disable Mageia background patch to fix crash (#14131),
  it should be rewritten for Mutter background changes
  This disables the background image in screen lock and gdm

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731083
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719237
- new version 3.14.0

* Wed Sep 17 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 692842
- new version 3.13.92
- remove requires now that rpm-mageia-setup is fixed
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671497
- new version 3.13.91

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665805
- new version 3.13.90

* Wed Jul 30 2014 pterjan <pterjan> 3.13.4-2.mga5
+ Revision: 658280
- Rebuild for new evolution-data-server

* Thu Jul 24 2014 tv <tv> 3.13.4-1.mga5
+ Revision: 656396
- adjust file list
- we do need latest mutter
- allow build with older libmutter
- rebuild for new clutter:
  gnome-session[2341]: gnome-shell: symbol lookup error:
  /lib64/libmutter.so.0: undefined symbol: clutter_stage_set_paint_callback
+ ovitters <ovitters>
- new version 3.13.4

* Mon Jul 07 2014 ovitters <ovitters> 3.13.3-3.mga5
+ Revision: 650483
- require typelib Caribou (mga#13696)

* Sun Jul 06 2014 ovitters <ovitters> 3.13.3-2.mga5
+ Revision: 646943
- fix another missing autoreq for typelib GSystem

* Sat Jun 28 2014 tv <tv> 3.13.3-1.mga5
+ Revision: 640793
- fix BR for new mutter
- bump needed mutter
- revert, latest mutter is indeed needed
- relax required mutter
+ ovitters <ovitters>
- new version 3.13.3

* Wed May 14 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622748
- new version 3.12.2
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme-symbolic

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615214
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608637
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605929
- new version 3.11.92

* Thu Mar 06 2014 tv <tv> 3.11.91-1.mga5
+ Revision: 600423
- new release

* Mon Feb 24 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 596128
- rebuild for new cogl

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594998
- new version 3.11.90

* Wed Feb 19 2014 tv <tv> 3.11.5-5.mga5
+ Revision: 594621
- rebuild for new libgnome-desktop

* Tue Feb 11 2014 tv <tv> 3.11.5-4.mga5
+ Revision: 589465
- fix one more missing Typelib requires...

* Fri Feb 07 2014 tv <tv> 3.11.5-3.mga5
+ Revision: 584936
- fix more missing Typelib requires...

* Fri Feb 07 2014 tv <tv> 3.11.5-2.mga5
+ Revision: 584904
- fix "(gnome-shell:13455): Gjs-WARNING **: JS ERROR: Error: Requiring
  GjsPrivate, version none: Typelib file for namespace 'GjsPrivate' (any
  version) not found"

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584056
- new version 3.11.5
- rebuild for new cogl,clutter

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582498
- new version 3.10.3

* Thu Jan 16 2014 colin <colin> 3.10.2.1-7.mga4
+ Revision: 566720
- Really fix background (badly tested css change in previous patch)

* Thu Jan 16 2014 colin <colin> 3.10.2.1-6.mga4
+ Revision: 566700
- Properly present Mageia logo in GDM/Lock UIs (thanks to Ray Strode upstream) mga#9304

* Sun Jan 05 2014 tmb <tmb> 3.10.2.1-5.mga4
+ Revision: 564806
- messageTray: Prevent reentrancy issues in _updateState (bgo#711694)
- authPrompt: propagate gdm "reset" signal after user switching (bgo#710456)
- loginDialog: Implement cancel() (bgo#719378)
- catch more errors on extensions enable() and disable() (bgo#688331)
- messageTray: Only attempt to grab the summary box pointer after showing
  it (bgo#709853)
- ShellWindowTracker: fix reference counting of ShellApp (bgo#721439)
- ShellWindowTracker: remove gtk-doc marks from private functions (bgo#721439)

* Wed Dec 04 2013 colin <colin> 3.10.2.1-4.mga4
+ Revision: 555098
- Enable bluetooth support

* Wed Dec 04 2013 colin <colin> 3.10.2.1-3.mga4
+ Revision: 555093
- Drop invalid --with-systemd build option

* Fri Nov 15 2013 ovitters <ovitters> 3.10.2.1-2.mga4
+ Revision: 551421
- fix requires
- new version 3.10.2.1

* Thu Nov 14 2013 ovitters <ovitters> 3.10.1-6.mga4
+ Revision: 551179
- make Show
- fix url
- enable bluetooth
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 tv <tv> 3.10.1-2.mga4
+ Revision: 501350
- relax mutter requires, thus fixing install

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501044
- new version 3.10.1

* Sun Oct 13 2013 colin <colin> 3.10.0.1-3.mga4
+ Revision: 496247
- Provide polkit-agent as g-s includes this functionality

* Thu Sep 26 2013 colin <colin> 3.10.0.1-2.mga4
+ Revision: 486472
- Rebuild for new mutter

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0.1-1.mga4
+ Revision: 485725
- new version 3.10.0.1
- dropped merged patch 3

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-2.mga4
+ Revision: 485654
- add patch to make it work with GDM 3.10

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485022
- new version 3.10.0

* Fri Sep 20 2013 ovitters <ovitters> 3.9.92-2.mga4
+ Revision: 481682
- enable experimental Wayland support

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480535
- drop merged patch
- new version 3.9.92

* Wed Sep 04 2013 blino <blino> 3.9.91-2.mga4
+ Revision: 475062
- fix crash because bluetooth is disabled (reported as bgo#707430)

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474878
- disable bluetooth for now, does not build
- new version 3.9.91

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469423
- new version 3.9.90
- more strict mutter version requirement

* Sun Aug 18 2013 fwang <fwang> 3.9.5-3.mga4
+ Revision: 467509
- rebuild for new eds

* Thu Aug 01 2013 dams <dams> 3.9.5-2.mga4
+ Revision: 462326
- rebuild for new cogl

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461152
- new version 3.9.5

* Mon Jul 29 2013 wally <wally> 3.9.4-3.mga4
+ Revision: 460615
- rebuild with new rpm-mageia-setup

* Mon Jul 29 2013 ovitters <ovitters> 3.9.4-2.mga4
+ Revision: 460578
- require explicit mutter version
- fix gsettings-desktop-schemas required version

* Mon Jul 29 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 460172
- new version 3.9.4

* Sun Jul 14 2013 sander85 <sander85> 3.8.3-2.mga4
+ Revision: 454290
- Rebuild for new cogl

* Fri Jun 07 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440312
- new version 3.8.3

* Sun Jun 02 2013 fwang <fwang> 3.8.2-3.mga4
+ Revision: 434346
- rebuild for new ical

* Mon May 27 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 428990
- add provide on virtual-notification-daemon, so notification-daemon can be uninstalled for gnome-shell only systems

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427564
- br gnome-keybindings
- br libnm-gtk
- update file list
- fix gcr version
- br caribou-1.0
+ blino <blino>
- drop libedataserverui buildreq, it has been merged back into e-d-s
- 3.8.2

* Tue Apr 09 2013 mitya <mitya> 3.6.3.1-3.mga3
+ Revision: 409335
- Fix #7819

* Fri Mar 08 2013 neoclust <neoclust> 3.6.3.1-2.mga3
+ Revision: 401812
- Fix gdm background ( tks to leuhmanu for the css help)

* Wed Feb 20 2013 ovitters <ovitters> 3.6.3.1-1.mga3
+ Revision: 399567
- new version 3.6.3.1

* Wed Feb 13 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 398227
- new version 3.6.3

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317366
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306997
- drop upstreamed patch
- new version 3.6.1

* Wed Oct 10 2012 ennael <ennael> 3.6.0-3.mga3
+ Revision: 304423
- fix group
+ dmorgan <dmorgan>
- Make gnome-shell to require libmutter-gir3.0 ( mga #7710 )

* Wed Oct 03 2012 blino <blino> 3.6.0-2.mga3
+ Revision: 302629
- ShellUserVerifier: fix typo in function name, caught on auth error (bgo#685434)

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297508
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296210
- new version 3.5.92

* Thu Sep 13 2012 ovitters <ovitters> 3.5.91-5.mga3
+ Revision: 293719
- update gstreamer br to reenable recording functionality

* Wed Sep 12 2012 ovitters <ovitters> 3.5.91-4.mga3
+ Revision: 292786
- remove requires gir-repository

* Mon Sep 10 2012 ovitters <ovitters> 3.5.91-3.mga3
+ Revision: 292086
- drop cancel patch -- fixed in different way in 3.5.91

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 287948
- update description and summary

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287938
- new version 3.5.91

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283037
- new version 3.5.90

* Fri Aug 10 2012 ovitters <ovitters> 3.5.5-2.mga3
+ Revision: 280377
- add patch to fix pressing escape in login screen

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279839
- new version 3.5.5

* Fri Aug 03 2012 ovitters <ovitters> 3.5.4-4.mga3
+ Revision: 278124
- require gnome-control-center

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-3.mga3
+ Revision: 271971
- drop conflicts on gdm
- requires gsettings-desktop-schemas 3.5.4+

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-2.mga3
+ Revision: 271931
- conflicts with old gdm

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271915
- update file list
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266478
- fix mutter buildrequires
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.1-2.mga3
+ Revision: 259774
- enable systemd support

* Thu Apr 19 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231551
- fix buildrequires
- new version 3.4.1

* Thu Apr 05 2012 mitya <mitya> 3.4.0-4.mga2
+ Revision: 228561
+ rebuild (emptylog)

* Thu Apr 05 2012 mitya <mitya> 3.4.0-3.mga2
+ Revision: 228553
- Switch to upstream method of fixing extension loading, see GNOME bug #670477 discussion

* Wed Apr 04 2012 mitya <mitya> 3.4.0-2.mga2
+ Revision: 228518
- Fix broken shell extension loading (see #4523)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226833
- new version 3.4.0

* Sat Mar 24 2012 fwang <fwang> 3.3.92-2.mga2
+ Revision: 226000
- do not apply gi flags patch to test rpath settings

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225349
- update buildrequires
- new version 3.3.92
- drop merged patches

* Mon Mar 12 2012 ovitters <ovitters> 3.3.90-6.mga2
+ Revision: 223060
- remove suggests on gnome-screenshot

* Mon Mar 12 2012 ovitters <ovitters> 3.3.90-5.mga2
+ Revision: 223039
- suggest gnome-screenshot (mga#4903)

* Wed Mar 07 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 220702
- rebuild for new cogl
+ colin <colin>
- Fix an error related to the bluetooth applet display

* Tue Feb 28 2012 ovitters <ovitters> 3.3.90-2.mga2
+ Revision: 215829
- add upstream patch to fix memory leak

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212618
- update file list
- update buildrequires
- new version
- drop linking patch

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212402
- rebuild for new cogl

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206483
- update file list
- add upstream patch to fix linking
- update gi scanner patch
- new version

* Sat Jan 21 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 199061
- add file list
- drop old patches
- new version 3.3.4

* Tue Jan 17 2012 ovitters <ovitters> 3.3.3-3.mga2
+ Revision: 197650
- add patch to prevent epiphany from respawning (bgo#667881)

* Tue Jan 17 2012 fwang <fwang> 3.3.3-2.mga2
+ Revision: 197343
- rebuild for new cogl

* Wed Jan 04 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 190761
- new version 3.3.3
- drop extension patches (upstream)
- fix br

* Wed Dec 21 2011 fwang <fwang> 3.3.2-3.mga2
+ Revision: 185310
- br gettext
- drop xulrunner req

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-2.mga2
+ Revision: 175000
- add patches from git for extensions.gnome.org

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171494
- drop obsoleted gconf schemas parts
- create a subpackage for docs
- add BR gtk-doc
+ fwang <fwang>
- new version 3.3.2

* Fri Nov 11 2011 fwang <fwang> 3.2.1-4.mga2
+ Revision: 166474
- rebuild for new xulrunner

* Sat Oct 29 2011 fwang <fwang> 3.2.1-3.mga2
+ Revision: 159502
- rebuild for new evo

* Tue Oct 18 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 156384
- rebuild for new folks

* Tue Oct 18 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 156071
- bump br
- new version 3.2.1

* Fri Sep 30 2011 fwang <fwang> 3.2.0-3.mga2
+ Revision: 150452
- rebuild for new xulrunner

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149258
- rebuild  for new xulrunner

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149025
- new version 3.2.0

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146215
- bump gjs req
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145695
- rebuild for new cogl

* Thu Sep 15 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 143719
- update file list
- new version 3.1.91.1
+ wally <wally>
- require telepathy-mission-control

* Wed Sep 07 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 140827
- new version 3.1.91

* Mon Sep 05 2011 fwang <fwang> 3.1.90.1-2.mga2
+ Revision: 138607
- rebuild for new xulrunner

* Wed Aug 31 2011 pterjan <pterjan> 3.1.90.1-1.mga2
+ Revision: 137368
- Update to 3.1.90.1 and drop all the patches from git

* Wed Aug 31 2011 colin <colin> 3.1.90-4.mga2
+ Revision: 137017
- More stability fixes from upstream.

* Wed Aug 31 2011 fwang <fwang> 3.1.90-3.mga2
+ Revision: 136995
- rebuild for new xulrunner

* Wed Aug 31 2011 colin <colin> 3.1.90-2.mga2
+ Revision: 136844
- Fix upstream crash relating to GDM

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136367
- do not promote strict flags for gi
- new version 3.1.90
- could not find any reason requiring python stuff now
- rebuild for new xulrunner
- export gnome-bluetooth libdir
- br gnome-common
- fix bluetooth-applet libdir
- rebuild for new cogl
+ dmorgan <dmorgan>
- Rebuild against new xulrunner
- Redmove LD_LIBRARY_PATH, should not be needed with latest xulrunner
+ colin <colin>
- Move filthy hack to gnome-bluetooth + build verbosely
- Hacky fix to build bluetooth support
- Build Bluetooth support
+ wally <wally>
- new version 3.1.4
- clean .spec a bit

* Wed Jul 13 2011 fwang <fwang> 3.1.3-4.mga2
+ Revision: 123537
- rebuild for new xulrunner

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.3-3.mga2
+ Revision: 119819
- Rebuild against new rpm-setup
- Fix packagekit requires
- Fix requires
- Fix requires

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-2.mga2
+ Revision: 118921
- Add packagekit-gtk-module as Requires ( thanks to gil)

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-1.mga2
+ Revision: 118786
- New version 3.1.3

* Sat Jun 25 2011 dmorgan <dmorgan> 3.0.2-10.mga2
+ Revision: 113337
- Fix typo in xulrunner version

* Fri Jun 24 2011 dmorgan <dmorgan> 3.0.2-9.mga2
+ Revision: 113274
- Obsolete dead package

* Fri Jun 24 2011 mikala <mikala> 3.0.2-8.mga2
+ Revision: 113184
- Add a requires on %%{_lib}xulrunner (gnome-shell is using libmozjs.so)

* Wed Jun 22 2011 mikala <mikala> 3.0.2-7.mga2
+ Revision: 111781
- Rebuild for new xulrunner

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.2-6.mga2
+ Revision: 110116
- Rebuild because it failed only in one arch
- Add back P1, seems to work ( validated by mikala )

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-4.mga2
+ Revision: 109667
- Fix requires

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 109548
- Add requires ( opensuse )
- Add more Requires ( synced with opensuse )
  Remove test patch that doesn't fix the crash ( tested by mikala )²
- Add patch to try to fix gs crash ( check some pointers)

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 106337
- We do not need a preview session anymore now that gnome3 works OK in normal mode

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101790
- This is not a Preview anymore
- Merge with mdv cooker package
+ tv <tv>
- rebuild for new gir
- imported package gnome-shell


* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 2.29.1-8mdv2011.0
+ Revision: 566698
- drop BR on gir-repository

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.29.1-7mdv2011.0
+ Revision: 561839
- rebuild

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-6mdv2010.1
+ Revision: 549373
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.29.1-5mdv2010.1
+ Revision: 531046
- rebuild for new xulrunner

* Fri Apr 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 530777
- Remove old suggests, not needed anymore

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 530413
- requires gnome-session for session management (and integration in display manager)

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 527081
- rebuild for new xulrunner

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 526922
- new version
- drop patches 1,2

* Sat Mar 20 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-3mdv2010.1
+ Revision: 525522
- fix build with new gjs (bug #58274)
- replace patch 1 by upstream version

  + Frederic Crozat <fcrozat@mandriva.com>
    - ensure there is no post by default

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524312
- Source1: add support to select GNOME-Shell in display managers, as GNOME 3 Preview (idea from SUSE)

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 510279
- new version
- fix build
- fix setting of the LD_LIBRARY_PATH for xulrunner

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-4mdv2010.1
+ Revision: 506609
- disable Werror to make it build

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.28.0-3mdv2010.1
+ Revision: 499977
- requires glxinfo instead of mesa-demos

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 490657
- rebuild for new libgnome-desktop

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456027
- new version
- update deps

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 443455
- new version

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 432058
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 422175
- new version
- update deps
- add translations

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-4mdv2010.0
+ Revision: 417151
- add missing dep on glxinfo

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-3mdv2010.0
+ Revision: 415271
- remove devel deps again

* Wed Aug 12 2009 Michael Scherer <misc@mandriva.org> 2.27.0-2mdv2010.0
+ Revision: 415259
- add missing requires and suggest

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 414732
- import gnome-shell


* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
- initial package
